"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useCachingTaskProgress = void 0;
var _reactNativeTheoplayer = require("react-native-theoplayer");
var _react = require("react");
const useCachingTaskProgress = (task, debug = true) => {
  const [progress, setProgress] = (0, _react.useState)(task.percentageCached);
  (0, _react.useEffect)(() => {
    const onProgress = () => {
      const percentageCached = task.percentageCached;
      if (debug) {
        console.log('[MediaCache] progress change', percentageCached);
      }
      setProgress(percentageCached);
    };
    task.addEventListener(_reactNativeTheoplayer.CachingTaskEventType.progress, onProgress);
    return () => {
      task.removeEventListener(_reactNativeTheoplayer.CachingTaskEventType.progress, onProgress);
    };
  }, []);
  return progress;
};
exports.useCachingTaskProgress = useCachingTaskProgress;
//# sourceMappingURL=useCachingTaskProgress.js.map