"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RenderingTarget = exports.AspectRatio = void 0;
/**
 * Specifies an aspect ratio for the player.
 *
 * <br/> - `FIT` (default): Scales the player so that all content fits inside its bounding box, keeping the original aspect ratio of the content.
 * <br/> - `FILL`: Scales the player so that all content fits inside the bounding box, which will be stretched to fill it entirely.
 * <br/> - `ASPECT_FILL`: Scales the player so that the content fills up the entire bounding box, keeping the original aspect ratio of the content.
 *
 * @public
 * @defaultValue `'FIT'`
 */
let AspectRatio = exports.AspectRatio = /*#__PURE__*/function (AspectRatio) {
  AspectRatio["FIT"] = "fit";
  AspectRatio["FILL"] = "fill";
  AspectRatio["ASPECT_FILL"] = "aspectFill";
  return AspectRatio;
}({});
/**
 * Specifies the rendering target for the player.
 *
 * <br/> - `SURFACE_VIEW` (default): Render video to a {@link https://developer.android.com/reference/android/view/SurfaceView | SurfaceView}.
 * <br/> - `TEXTURE_VIEW`: Render video to a {@link https://developer.android.com/reference/android/view/TextureView | TextureView}.
 *
 * @public
 * @defaultValue `'SURFACE_VIEW'`
 */
let RenderingTarget = exports.RenderingTarget = /*#__PURE__*/function (RenderingTarget) {
  RenderingTarget["SURFACE_VIEW"] = "surfaceView";
  RenderingTarget["TEXTURE_VIEW"] = "textureView";
  return RenderingTarget;
}({});
/**
 * The THEOplayer API.
 */
//# sourceMappingURL=THEOplayer.js.map