"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PresentationMode = void 0;
/**
 * The presentation mode of the player, represented by a value from the following list:
 * <br/> - `'inline'`: The player is shown in its original location on the page.
 * <br/> - `'fullscreen'`: The player fills the entire screen.
 * <br/> - `'picture-in-picture'`: The player is shown on top of the page (see {@link PiPConfiguration} for more options).
 *
 * @public
 */
let PresentationMode = exports.PresentationMode = /*#__PURE__*/function (PresentationMode) {
  PresentationMode["fullscreen"] = "fullscreen";
  PresentationMode["inline"] = "inline";
  PresentationMode["pip"] = "picture-in-picture";
  return PresentationMode;
}({});
//# sourceMappingURL=PresentationMode.js.map