"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SourceIntegrationId = void 0;
/**
 * Represents a media resource.
 *
 * @remarks
 * <br/> - Can be a string value representing the URL of a media resource, a {@link TypedSource}.
 *
 * @public
 */
/**
 * A media resource or list of media resources.
 *
 * @remarks
 * <br/> - The order of sources when using a list determines their priority when attempting playback.
 *
 * @public
 */
/**
 * The cross-origin setting of a source, represented by a value from the following list:
 * <br/> - `'anonymous'`: CORS requests will have the credentials flag set to 'same-origin'.
 * <br/> - `'use-credentials'`: CORS requests will have the credentials flag set to 'include'.
 * <br/> - `''`: Setting the empty string is the same as `'anonymous'`
 *
 * @remarks
 * <br/> - See {@link https://developer.mozilla.org/en-US/docs/Web/HTML/CORS_settings_attributes | The crossorigin attribute: Requesting CORS access to content}
 *
 * @public
 */
/**
 * The integration identifier of a source specific to a pre-integration, represented by a value from the following list:
 * <br/> - `'theolive'`: The source contains the THEOlive initialization url.
 *
 * @category Source
 * @public
 */
let SourceIntegrationId = exports.SourceIntegrationId = /*#__PURE__*/function (SourceIntegrationId) {
  SourceIntegrationId["THEO_LIVE"] = "theolive";
  return SourceIntegrationId;
}({});
/**
 * Describes the configuration of a player's source.
 *
 * @public
 */
/**
 * Describes the configuration of a player's source.
 *
 * @public
 */
/**
 * Describes the configuration of a side-loaded text track.
 *
 * @public
 */
/**
 * Represents the common properties of a media resource.
 *
 * @public
 */
/**
 * Represents a media resource characterized by a URL to the resource and optionally information about the resource.
 *
 * @public
 */
//# sourceMappingURL=SourceDescription.js.map