"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TheoAdsLayoutOverride = void 0;
/**
 * Describes a THEOads ad break request.
 *
 * @remarks
 * <br/> - For THEOads, one configured ad break request enables server guided ad playback for the entire stream.
 *
 * @category Ads
 */
/**
 * Describes how and when the layout of a THEOads ad break should be overridden:
 *  - `'single'`: Override to play all ad breaks using the "single" layout mode.
 *  - `'l-shape'`: Override to play all ad breaks using the "l-shape" layout mode.
 *  - `'double'`: Override to play all ad breaks using the "double" layout mode.
 *  - `'single-if-mobile'`: When on a mobile device, override to play all ad breaks using the "single" layout mode.
 *
 * @category Ads
 * @internal
 */
let TheoAdsLayoutOverride = exports.TheoAdsLayoutOverride = /*#__PURE__*/function (TheoAdsLayoutOverride) {
  TheoAdsLayoutOverride["SINGLE"] = "single";
  TheoAdsLayoutOverride["LSHAPE"] = "l-shape";
  TheoAdsLayoutOverride["DOUBLE"] = "double";
  TheoAdsLayoutOverride["SINGLE_IF_MOBILE"] = "single-if-mobile";
  return TheoAdsLayoutOverride;
}({});
//# sourceMappingURL=TheoAdDescription.js.map