"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AbrAdapter = void 0;
var _reactNative = require("react-native");
const NativePlayerModule = _reactNative.NativeModules.THEORCTPlayerModule;
class AbrAdapter {
  constructor(view) {
    this._view = view;
  }
  get strategy() {
    return this._strategy;
  }
  set strategy(strategy) {
    this._strategy = strategy;
    this.updateConfig();
  }
  get targetBuffer() {
    return this._targetBuffer;
  }
  set targetBuffer(targetBuffer) {
    this._targetBuffer = targetBuffer;
    this.updateConfig();
  }
  get preferredPeakBitRate() {
    return this._preferredPeakBitRate;
  }
  set preferredPeakBitRate(preferredPeakBitRate) {
    this._preferredPeakBitRate = preferredPeakBitRate;
    this.updateConfig();
  }
  get preferredMaximumResolution() {
    return this._preferredMaximumResolution;
  }
  set preferredMaximumResolution(preferredMaximumResolution) {
    this._preferredMaximumResolution = preferredMaximumResolution;
    this.updateConfig();
  }
  updateConfig() {
    NativePlayerModule.setABRConfig(this._view.nativeHandle, {
      targetBuffer: this._targetBuffer,
      strategy: this._strategy,
      preferredPeakBitRate: this._preferredPeakBitRate,
      preferredMaximumResolution: this._preferredMaximumResolution
    });
  }
}
exports.AbrAdapter = AbrAdapter;
//# sourceMappingURL=AbrAdapter.js.map