"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.THEOplayerNativeAdsAdapter = void 0;
var _reactNative = require("react-native");
var _THEOplayerNativeGoogleDAI = require("./THEOplayerNativeGoogleDAI");
var _THEOplayerNativeOmid = require("./THEOplayerNativeOmid");
const NativeAdsModule = _reactNative.NativeModules.THEORCTAdsModule;
class THEOplayerNativeAdsAdapter {
  constructor(_player) {
    this._player = _player;
    this._dai = new _THEOplayerNativeGoogleDAI.THEOplayerNativeGoogleDAI(this._player);
    this._omid = new _THEOplayerNativeOmid.THEOplayerNativeOmid(this._player);
  }
  playing() {
    return NativeAdsModule.playing(this._player.nativeHandle);
  }
  skip() {
    NativeAdsModule.skip(this._player.nativeHandle);
  }
  currentAdBreak() {
    return NativeAdsModule.currentAdBreak(this._player.nativeHandle);
  }
  currentAds() {
    return NativeAdsModule.currentAds(this._player.nativeHandle);
  }
  scheduledAdBreaks() {
    return NativeAdsModule.scheduledAdBreaks(this._player.nativeHandle);
  }
  schedule(ad) {
    NativeAdsModule.schedule(this._player.nativeHandle, ad);
  }
  get dai() {
    return this._dai;
  }
  get omid() {
    return this._omid;
  }
}
exports.THEOplayerNativeAdsAdapter = THEOplayerNativeAdsAdapter;
//# sourceMappingURL=THEOplayerNativeAdsAdapter.js.map