"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.THEOplayerWebAdsAdapter = void 0;
var _THEOplayerWebGoogleDAI = require("./THEOplayerWebGoogleDAI");
class THEOplayerWebAdsAdapter {
  constructor(player) {
    this._player = player;
  }
  currentAdBreak() {
    const adBreak = this._player.ads?.currentAdBreak;
    return adBreak ? Promise.resolve(adBreak) : Promise.reject();
  }
  currentAds() {
    const ads = this._player.ads?.currentAds;
    return ads ? Promise.resolve(ads) : Promise.reject();
  }
  playing() {
    return Promise.resolve(this._player.ads?.playing || false);
  }
  schedule(ad) {
    this._player.ads?.schedule(ad);
  }
  scheduledAdBreaks() {
    const adBreaks = this._player.ads?.scheduledAdBreaks;
    return adBreaks ? Promise.resolve(adBreaks) : Promise.reject();
  }
  skip() {
    this._player.ads?.skip();
  }
  get dai() {
    if (!this._dai) {
      const nativeDai = this._player.ads?.dai;
      if (!nativeDai) {
        // Not native DAI available
        return undefined;
      }
      this._dai = new _THEOplayerWebGoogleDAI.THEOplayerWebGoogleDAI(nativeDai);
    }
    return this._dai;
  }
  get omid() {
    // NYI
    console.warn('The Omid API is not yet implemented for Web platforms.');
    return undefined;
  }
}
exports.THEOplayerWebAdsAdapter = THEOplayerWebAdsAdapter;
//# sourceMappingURL=THEOplayerWebAdsAdapter.js.map