"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventBroadcastAdapter = void 0;
var _reactNative = require("react-native");
const NativeEventBroadcastModule = _reactNative.NativeModules.THEORCTEventBroadcastModule;
class EventBroadcastAdapter {
  constructor(_player) {
    this._player = _player;
  }
  broadcastEvent(event) {
    // Broadcast ReactNative event.
    this._player.dispatchEvent(event);
    try {
      // Broadcast native event.
      NativeEventBroadcastModule.broadcastEvent(this._player.nativeHandle, Object.freeze(event));
    } catch (e) {
      console.warn(`EventBroadcastModule not available: ${e}`);
    }
  }
}
exports.EventBroadcastAdapter = EventBroadcastAdapter;
//# sourceMappingURL=EventBroadcastAdapter.js.map