"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventBroadcastAdapter = void 0;
var _reactNativeTheoplayer = require("react-native-theoplayer");
var _DefaultWebEventDispatcher = require("./web/DefaultWebEventDispatcher");
class EventBroadcastAdapter extends _DefaultWebEventDispatcher.DefaultWebEventDispatcher {
  constructor(_player) {
    super();
    this._player = _player;
  }
  broadcastEvent(event) {
    // Broadcast ReactNative event.
    this._player.dispatchEvent(event);

    // Broadcast native event.
    const nativeEvent = toNativeEvent(event);
    if (nativeEvent) {
      this.dispatchEvent(nativeEvent);
    }
  }
}
exports.EventBroadcastAdapter = EventBroadcastAdapter;
function toNativeEvent(event) {
  switch (event.type) {
    case _reactNativeTheoplayer.PlayerEventType.AD_EVENT:
      return toNativeAdEvent(event);
    default:
      {
        console.warn(`EventBroadcastAdapter: native event of type ${event?.type}} not supported`);
        return undefined;
      }
  }
}
function toNativeAdEvent(event) {
  return {
    type: event.subType,
    ad: event.ad,
    date: event.date
  };
}
//# sourceMappingURL=EventBroadcastAdapter.web.js.map