"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DefaultVolumeChangeEvent = exports.DefaultTimeupdateEvent = exports.DefaultTextTrackListEvent = exports.DefaultTextTrackEvent = exports.DefaultSegmentNotFoundEvent = exports.DefaultResizeEvent = exports.DefaultReadyStateChangeEvent = exports.DefaultRateChangeEvent = exports.DefaultProgressEvent = exports.DefaultPresentationModeChangeEvent = exports.DefaultMediaTrackListEvent = exports.DefaultMediaTrackEvent = exports.DefaultLoadedMetadataEvent = exports.DefaultErrorEvent = exports.DefaultDurationChangeEvent = exports.DefaultChromecastErrorEvent = exports.DefaultChromecastChangeEvent = exports.DefaultAirplayStateChangeEvent = exports.DefaultAdEvent = void 0;
var _BaseEvent = require("./BaseEvent");
var _reactNativeTheoplayer = require("react-native-theoplayer");
class DefaultLoadedMetadataEvent extends _BaseEvent.BaseEvent {
  constructor(textTracks, audioTracks, videoTracks, duration, selectedTextTrack, selectedVideoTrack, selectedAudioTrack) {
    super(_reactNativeTheoplayer.PlayerEventType.LOADED_METADATA);
    this.textTracks = textTracks;
    this.audioTracks = audioTracks;
    this.videoTracks = videoTracks;
    this.duration = duration;
    this.selectedTextTrack = selectedTextTrack;
    this.selectedVideoTrack = selectedVideoTrack;
    this.selectedAudioTrack = selectedAudioTrack;
  }
}
exports.DefaultLoadedMetadataEvent = DefaultLoadedMetadataEvent;
class DefaultReadyStateChangeEvent extends _BaseEvent.BaseEvent {
  constructor(readyState) {
    super(_reactNativeTheoplayer.PlayerEventType.READYSTATE_CHANGE);
    this.readyState = readyState;
  }
}
exports.DefaultReadyStateChangeEvent = DefaultReadyStateChangeEvent;
class DefaultPresentationModeChangeEvent extends _BaseEvent.BaseEvent {
  constructor(presentationMode, previousPresentationMode, context) {
    super(_reactNativeTheoplayer.PlayerEventType.PRESENTATIONMODE_CHANGE);
    this.presentationMode = presentationMode;
    this.previousPresentationMode = previousPresentationMode;
    this.context = context;
  }
}
exports.DefaultPresentationModeChangeEvent = DefaultPresentationModeChangeEvent;
class DefaultVolumeChangeEvent extends _BaseEvent.BaseEvent {
  constructor(volume, muted) {
    super(_reactNativeTheoplayer.PlayerEventType.VOLUME_CHANGE);
    this.volume = volume;
    this.muted = muted;
  }
}
exports.DefaultVolumeChangeEvent = DefaultVolumeChangeEvent;
class DefaultResizeEvent extends _BaseEvent.BaseEvent {
  constructor(width, height) {
    super(_reactNativeTheoplayer.PlayerEventType.RESIZE);
    this.width = width;
    this.height = height;
  }
}
exports.DefaultResizeEvent = DefaultResizeEvent;
class DefaultErrorEvent extends _BaseEvent.BaseEvent {
  constructor(error) {
    super(_reactNativeTheoplayer.PlayerEventType.ERROR);
    this.error = error;
  }
}
exports.DefaultErrorEvent = DefaultErrorEvent;
class DefaultProgressEvent extends _BaseEvent.BaseEvent {
  constructor(seekable, buffered) {
    super(_reactNativeTheoplayer.PlayerEventType.PROGRESS);
    this.seekable = seekable;
    this.buffered = buffered;
  }
}
exports.DefaultProgressEvent = DefaultProgressEvent;
class DefaultTimeupdateEvent extends _BaseEvent.BaseEvent {
  constructor(currentTime, currentProgramDateTime) {
    super(_reactNativeTheoplayer.PlayerEventType.TIME_UPDATE);
    this.currentTime = currentTime;
    this.currentProgramDateTime = currentProgramDateTime;
  }
}
exports.DefaultTimeupdateEvent = DefaultTimeupdateEvent;
class DefaultDurationChangeEvent extends _BaseEvent.BaseEvent {
  constructor(duration) {
    super(_reactNativeTheoplayer.PlayerEventType.DURATION_CHANGE);
    this.duration = duration;
  }
}
exports.DefaultDurationChangeEvent = DefaultDurationChangeEvent;
class DefaultRateChangeEvent extends _BaseEvent.BaseEvent {
  constructor(playbackRate) {
    super(_reactNativeTheoplayer.PlayerEventType.RATE_CHANGE);
    this.playbackRate = playbackRate;
  }
}
exports.DefaultRateChangeEvent = DefaultRateChangeEvent;
class DefaultSegmentNotFoundEvent extends _BaseEvent.BaseEvent {
  constructor(segmentStartTime, error, retryCount) {
    super(_reactNativeTheoplayer.PlayerEventType.SEGMENT_NOT_FOUND);
    this.segmentStartTime = segmentStartTime;
    this.error = error;
    this.retryCount = retryCount;
  }
}
exports.DefaultSegmentNotFoundEvent = DefaultSegmentNotFoundEvent;
class DefaultTextTrackListEvent extends _BaseEvent.BaseEvent {
  constructor(subType, track) {
    super(_reactNativeTheoplayer.PlayerEventType.TEXT_TRACK_LIST);
    this.subType = subType;
    this.track = track;
  }
}
exports.DefaultTextTrackListEvent = DefaultTextTrackListEvent;
class DefaultTextTrackEvent extends _BaseEvent.BaseEvent {
  constructor(subType, trackUid, cue) {
    super(_reactNativeTheoplayer.PlayerEventType.TEXT_TRACK);
    this.subType = subType;
    this.trackUid = trackUid;
    this.cue = cue;
  }
}
exports.DefaultTextTrackEvent = DefaultTextTrackEvent;
class DefaultMediaTrackListEvent extends _BaseEvent.BaseEvent {
  constructor(subType, trackType, track) {
    super(_reactNativeTheoplayer.PlayerEventType.MEDIA_TRACK_LIST);
    this.subType = subType;
    this.trackType = trackType;
    this.track = track;
  }
}
exports.DefaultMediaTrackListEvent = DefaultMediaTrackListEvent;
class DefaultMediaTrackEvent extends _BaseEvent.BaseEvent {
  constructor(subType, trackType, trackUid, qualities) {
    super(_reactNativeTheoplayer.PlayerEventType.MEDIA_TRACK);
    this.subType = subType;
    this.trackType = trackType;
    this.trackUid = trackUid;
    this.qualities = qualities;
  }
}
exports.DefaultMediaTrackEvent = DefaultMediaTrackEvent;
class DefaultAdEvent extends _BaseEvent.BaseEvent {
  constructor(subType, ad) {
    super(_reactNativeTheoplayer.PlayerEventType.AD_EVENT);
    this.subType = subType;
    this.ad = ad;
  }
}
exports.DefaultAdEvent = DefaultAdEvent;
class DefaultChromecastChangeEvent extends _BaseEvent.BaseEvent {
  constructor(state) {
    super(_reactNativeTheoplayer.PlayerEventType.CAST_EVENT);
    this.state = state;
    this.subType = _reactNativeTheoplayer.CastEventType.CHROMECAST_STATE_CHANGE;
  }
}
exports.DefaultChromecastChangeEvent = DefaultChromecastChangeEvent;
class DefaultAirplayStateChangeEvent extends _BaseEvent.BaseEvent {
  constructor(state) {
    super(_reactNativeTheoplayer.PlayerEventType.CAST_EVENT);
    this.state = state;
    this.subType = _reactNativeTheoplayer.CastEventType.AIRPLAY_STATE_CHANGE;
  }
}
exports.DefaultAirplayStateChangeEvent = DefaultAirplayStateChangeEvent;
class DefaultChromecastErrorEvent extends _BaseEvent.BaseEvent {
  constructor(error) {
    super(_reactNativeTheoplayer.PlayerEventType.CAST_EVENT);
    this.error = error;
    this.subType = _reactNativeTheoplayer.CastEventType.CHROMECAST_ERROR;
  }
}
exports.DefaultChromecastErrorEvent = DefaultChromecastErrorEvent;
//# sourceMappingURL=PlayerEvents.js.map