"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NativeTrackListEventType = exports.NativeTextTrackEventType = exports.NativeMediaTrackType = exports.NativeMediaTrackEventType = void 0;
exports.toMediaTrackType = toMediaTrackType;
exports.toMediaTrackTypeEventType = toMediaTrackTypeEventType;
exports.toTextTrackEventType = toTextTrackEventType;
exports.toTrackListEventType = toTrackListEventType;
var _reactNativeTheoplayer = require("react-native-theoplayer");
let NativeTrackListEventType = exports.NativeTrackListEventType = /*#__PURE__*/function (NativeTrackListEventType) {
  NativeTrackListEventType[NativeTrackListEventType["AddTrack"] = 0] = "AddTrack";
  NativeTrackListEventType[NativeTrackListEventType["RemoveTrack"] = 1] = "RemoveTrack";
  NativeTrackListEventType[NativeTrackListEventType["ChangeTrack"] = 2] = "ChangeTrack";
  return NativeTrackListEventType;
}({});
let NativeTextTrackEventType = exports.NativeTextTrackEventType = /*#__PURE__*/function (NativeTextTrackEventType) {
  NativeTextTrackEventType[NativeTextTrackEventType["AddCue"] = 0] = "AddCue";
  NativeTextTrackEventType[NativeTextTrackEventType["RemoveCue"] = 1] = "RemoveCue";
  NativeTextTrackEventType[NativeTextTrackEventType["EnterCue"] = 2] = "EnterCue";
  NativeTextTrackEventType[NativeTextTrackEventType["ExitCue"] = 3] = "ExitCue";
  return NativeTextTrackEventType;
}({});
let NativeMediaTrackType = exports.NativeMediaTrackType = /*#__PURE__*/function (NativeMediaTrackType) {
  NativeMediaTrackType[NativeMediaTrackType["Audio"] = 0] = "Audio";
  NativeMediaTrackType[NativeMediaTrackType["Video"] = 1] = "Video";
  return NativeMediaTrackType;
}({});
let NativeMediaTrackEventType = exports.NativeMediaTrackEventType = /*#__PURE__*/function (NativeMediaTrackEventType) {
  NativeMediaTrackEventType[NativeMediaTrackEventType["ActiveQualityChanged"] = 0] = "ActiveQualityChanged";
  return NativeMediaTrackEventType;
}({});
function toTrackListEventType(type) {
  switch (type) {
    case NativeTrackListEventType.AddTrack:
      return _reactNativeTheoplayer.TrackListEventType.ADD_TRACK;
    case NativeTrackListEventType.ChangeTrack:
      return _reactNativeTheoplayer.TrackListEventType.CHANGE_TRACK;
    case NativeTrackListEventType.RemoveTrack:
      return _reactNativeTheoplayer.TrackListEventType.REMOVE_TRACK;
  }
}
function toTextTrackEventType(type) {
  switch (type) {
    case NativeTextTrackEventType.AddCue:
      return _reactNativeTheoplayer.TextTrackEventType.ADD_CUE;
    case NativeTextTrackEventType.RemoveCue:
      return _reactNativeTheoplayer.TextTrackEventType.REMOVE_CUE;
    case NativeTextTrackEventType.EnterCue:
      return _reactNativeTheoplayer.TextTrackEventType.ENTER_CUE;
    case NativeTextTrackEventType.ExitCue:
      return _reactNativeTheoplayer.TextTrackEventType.EXIT_CUE;
  }
}
function toMediaTrackType(type) {
  switch (type) {
    case NativeMediaTrackType.Audio:
      return _reactNativeTheoplayer.MediaTrackType.AUDIO;
    case NativeMediaTrackType.Video:
      return _reactNativeTheoplayer.MediaTrackType.VIDEO;
  }
}
function toMediaTrackTypeEventType(type) {
  switch (type) {
    case NativeMediaTrackEventType.ActiveQualityChanged:
      return _reactNativeTheoplayer.MediaTrackEventType.ACTIVE_QUALITY_CHANGED;
  }
}
//# sourceMappingURL=NativeTrackEvent.js.map