"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebMediaCache = exports.MediaCache = void 0;
var _DefaultEventDispatcher = require("../adapter/event/DefaultEventDispatcher");
var THEOplayerWeb = _interopRequireWildcard(require("theoplayer"));
var _WebCachingTaskAdapter = require("./WebCachingTaskAdapter");
var _reactNativeTheoplayer = require("react-native-theoplayer");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
class WebMediaCache extends _DefaultEventDispatcher.DefaultEventDispatcher {
  constructor() {
    super();
    THEOplayerWeb.cache.tasks.addEventListener('addtask', this.onAddTask);
    THEOplayerWeb.cache.tasks.addEventListener('removetask', this.onRemoveTask);
  }
  onAddTask = event => {
    this.dispatchEvent({
      type: _reactNativeTheoplayer.CacheEventType.addtask,
      task: new _WebCachingTaskAdapter.WebCachingTaskAdapter(event.task),
      date: event.date
    });
  };
  onRemoveTask = event => {
    this.dispatchEvent({
      type: _reactNativeTheoplayer.CacheEventType.removetask,
      task: new _WebCachingTaskAdapter.WebCachingTaskAdapter(event.task),
      date: event.date
    });
  };
  createTask(source, parameters) {
    return Promise.resolve(new _WebCachingTaskAdapter.WebCachingTaskAdapter(THEOplayerWeb.cache.createTask(source, parameters)));
  }
  get status() {
    return THEOplayerWeb.cache.status;
  }

  // @ts-ignore
  get tasks() {
    return THEOplayerWeb.cache.tasks.map(task => new _WebCachingTaskAdapter.WebCachingTaskAdapter(task));
  }
}
exports.WebMediaCache = WebMediaCache;
const MediaCache = exports.MediaCache = new WebMediaCache();

// Expose cache for easy access
// @ts-ignore
window.MediaCache = MediaCache;
//# sourceMappingURL=MediaCache.web.js.map