"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WebCachingTaskAdapter = void 0;
class WebCachingTaskAdapter {
  constructor(webCachingTask) {
    this.webCachingTask = webCachingTask;
  }
  get bytes() {
    return this.webCachingTask.bytes;
  }
  get bytesCached() {
    return this.webCachingTask.bytesCached;
  }
  get cached() {
    return fromTimeRanges(this.webCachingTask.cached);
  }
  get duration() {
    return this.webCachingTask.duration;
  }
  get id() {
    return this.webCachingTask.id;
  }
  get license() {
    return this.webCachingTask.license;
  }
  get parameters() {
    return this.webCachingTask.parameters;
  }
  get percentageCached() {
    return this.webCachingTask.percentageCached;
  }
  get secondsCached() {
    return this.webCachingTask.secondsCached;
  }
  get source() {
    return this.webCachingTask.source;
  }
  get status() {
    return this.webCachingTask.status;
  }
  start() {
    this.webCachingTask.start();
  }
  pause() {
    this.webCachingTask.pause();
  }
  remove() {
    this.webCachingTask.remove();
  }
  addEventListener(type, listener) {
    this.webCachingTask.addEventListener(type, listener);
  }
  removeEventListener(type, listener) {
    this.webCachingTask.removeEventListener(type, listener);
  }
}
exports.WebCachingTaskAdapter = WebCachingTaskAdapter;
function fromTimeRanges(timeRanges) {
  const result = [];
  for (let i = 0; i < timeRanges.length; i++) {
    result.push({
      start: timeRanges.start(i) * 1e3,
      end: timeRanges.end(i) * 1e3
    });
  }
  return result;
}
//# sourceMappingURL=WebCachingTaskAdapter.js.map