"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlaybackSettings = exports.NativePlaybackSettings = void 0;
var _reactNative = require("react-native");
const NativePlaybackSettingsModule = _reactNative.NativeModules.THEORCTPlaybackSettingsModule;
const TAG = 'PlaybackSettings';
class NativePlaybackSettings {
  useFastStartup(useFastStartup) {
    if (_reactNative.Platform.OS !== 'android') {
      console.warn(TAG, 'useFastStartup is only available on Android platforms.');
      return;
    }
    NativePlaybackSettingsModule.useFastStartup(useFastStartup);
  }
  setLipSyncCorrection(correctionMs) {
    if (_reactNative.Platform.OS !== 'android') {
      console.warn(TAG, 'setLipSyncCorrect is only available on Android platforms.');
      return;
    }
    NativePlaybackSettingsModule.setLipSyncCorrection(correctionMs);
  }
}
exports.NativePlaybackSettings = NativePlaybackSettings;
const PlaybackSettings = exports.PlaybackSettings = new NativePlaybackSettings();
//# sourceMappingURL=PlaybackSettings.js.map