"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getFullscreenSize = getFullscreenSize;
var _reactNative = require("react-native");
/**
 * Calculate the device's screen dimensions, while taking into account the statusBar height and orientation on Android.
 */
function getFullscreenSize() {
  const screenSize = _reactNative.Dimensions.get('screen');

  // Adjust for statusBar height on Android, depending on the device's current orientation.
  if (_reactNative.Platform.OS === 'android' && _reactNative.Platform.Version >= 29) {
    const statusBarHeight = _reactNative.StatusBar.currentHeight || 0;
    if (screenSize.width < screenSize.height) {
      // portrait
      if (screenSize.height !== _reactNative.Dimensions.get('window').height + statusBarHeight) {
        screenSize.height = screenSize.height - statusBarHeight;
      }
    } else {
      // landscape
      if (screenSize.width !== _reactNative.Dimensions.get('window').width) {
        screenSize.width = screenSize.width - statusBarHeight;
      }
    }
  }
  return screenSize;
}
//# sourceMappingURL=Dimensions.js.map