/**
 * The adaptive bitrate strategy of the first segment, represented by a value from the following list:
 * <br/> - `'performance'`: The player will optimize ABR behavior to focus on the performance of the player. This strategy initiates playback with the lowest quality suitable for the device which means faster start-up time.
 * <br/> - `'quality'`: The player will optimize ABR behavior to focus displaying the best visual quality to the end-user. This strategy initiates playback with the highest bit rate suitable for the device.
 * <br/> - `'bandwidth'`: The player will optimize the ABR behavior to focus on displaying the most optimal quality based on historic data of available bandwidth and knowledge of the network conditions.
 *
 * @public
 */
export let ABRStrategyType = /*#__PURE__*/function (ABRStrategyType) {
  ABRStrategyType["performance"] = "performance";
  ABRStrategyType["quality"] = "quality";
  ABRStrategyType["bandwidth"] = "bandwidth";
  return ABRStrategyType;
}({});

/**
 * Describes the metadata of the adaptive bitrate strategy.
 *
 * @public
 */

/**
 * Describes the configuration of the adaptive bitrate strategy.
 *
 * @public
 */

/**
 * The adaptive bitrate stratey.
 *
 * @public
 */

/**
 * Describes the adaptive bitrate configuration.
 *
 * @public
 */
//# sourceMappingURL=ABRConfiguration.js.map