/**
 * The cache task status, represented by a value from the following list:
 * <br/> - `'idle'`: The task has been created, but has not started downloading content.
 * <br/> - `'loading'`: The task is currently downloading the content.
 * <br/> - `'done'`: The task has finished downloading all content.
 * <br/> - `'error'`: The task has encountered an error while downloading or evicting content.
 * <br/> - `'evicted'`: All data associated with the task has been removed because the task expired or the user invoked the {@link CachingTask.remove|remove} method.
 *
 * @public
 */
export let CacheTaskStatus = /*#__PURE__*/function (CacheTaskStatus) {
  CacheTaskStatus["idle"] = "idle";
  CacheTaskStatus["loading"] = "loading";
  CacheTaskStatus["done"] = "done";
  CacheTaskStatus["error"] = "error";
  CacheTaskStatus["evicted"] = "evicted";
  return CacheTaskStatus;
}({});

/**
 * Represents a caching task.
 *
 * @public
 */
//# sourceMappingURL=CachingTask.js.map