import { CachingTaskEventType } from 'react-native-theoplayer';
import { useEffect, useState } from 'react';
export const useCachingTaskProgress = (task, debug = true) => {
  const [progress, setProgress] = useState(task.percentageCached);
  useEffect(() => {
    const onProgress = () => {
      const percentageCached = task.percentageCached;
      if (debug) {
        console.log('[MediaCache] progress change', percentageCached);
      }
      setProgress(percentageCached);
    };
    task.addEventListener(CachingTaskEventType.progress, onProgress);
    return () => {
      task.removeEventListener(CachingTaskEventType.progress, onProgress);
    };
  }, []);
  return progress;
};
//# sourceMappingURL=useCachingTaskProgress.js.map