import { CachingTaskEventType } from 'react-native-theoplayer';
import { useEffect, useState } from 'react';
export const useCachingTaskStatus = (task, debug = false) => {
  const [status, setStatus] = useState(task.status);
  useEffect(() => {
    const onStateChange = () => {
      const status = task.status;
      if (debug) {
        console.log('[MediaCache] state change', status);
      }
      setStatus(status);
    };
    task.addEventListener(CachingTaskEventType.statechange, onStateChange);
    return () => {
      task.removeEventListener(CachingTaskEventType.statechange, onStateChange);
    };
  }, []);
  return status;
};
//# sourceMappingURL=useCachingTaskStatus.js.map