import { NativeModules } from 'react-native';
import { THEOplayerNativeGoogleDAI } from './THEOplayerNativeGoogleDAI';
import { THEOplayerNativeOmid } from './THEOplayerNativeOmid';
const NativeAdsModule = NativeModules.THEORCTAdsModule;
export class THEOplayerNativeAdsAdapter {
  constructor(_player) {
    this._player = _player;
    this._dai = new THEOplayerNativeGoogleDAI(this._player);
    this._omid = new THEOplayerNativeOmid(this._player);
  }
  playing() {
    return NativeAdsModule.playing(this._player.nativeHandle);
  }
  skip() {
    NativeAdsModule.skip(this._player.nativeHandle);
  }
  currentAdBreak() {
    return NativeAdsModule.currentAdBreak(this._player.nativeHandle);
  }
  currentAds() {
    return NativeAdsModule.currentAds(this._player.nativeHandle);
  }
  scheduledAdBreaks() {
    return NativeAdsModule.scheduledAdBreaks(this._player.nativeHandle);
  }
  schedule(ad) {
    NativeAdsModule.schedule(this._player.nativeHandle, ad);
  }
  get dai() {
    return this._dai;
  }
  get omid() {
    return this._omid;
  }
}
//# sourceMappingURL=THEOplayerNativeAdsAdapter.js.map