import { NativeModules } from 'react-native';
const NativeEventBroadcastModule = NativeModules.THEORCTEventBroadcastModule;
export class EventBroadcastAdapter {
  constructor(_player) {
    this._player = _player;
  }
  broadcastEvent(event) {
    // Broadcast ReactNative event.
    this._player.dispatchEvent(event);
    try {
      // Broadcast native event.
      NativeEventBroadcastModule.broadcastEvent(this._player.nativeHandle, Object.freeze(event));
    } catch (e) {
      console.warn(`EventBroadcastModule not available: ${e}`);
    }
  }
}
//# sourceMappingURL=EventBroadcastAdapter.js.map