import { PlayerEventType } from 'react-native-theoplayer';
import { DefaultWebEventDispatcher } from './web/DefaultWebEventDispatcher';
export class EventBroadcastAdapter extends DefaultWebEventDispatcher {
  constructor(_player) {
    super();
    this._player = _player;
  }
  broadcastEvent(event) {
    // Broadcast ReactNative event.
    this._player.dispatchEvent(event);

    // Broadcast native event.
    const nativeEvent = toNativeEvent(event);
    if (nativeEvent) {
      this.dispatchEvent(nativeEvent);
    }
  }
}
function toNativeEvent(event) {
  switch (event.type) {
    case PlayerEventType.AD_EVENT:
      return toNativeAdEvent(event);
    default:
      {
        console.warn(`EventBroadcastAdapter: native event of type ${event?.type}} not supported`);
        return undefined;
      }
  }
}
function toNativeAdEvent(event) {
  return {
    type: event.subType,
    ad: event.ad,
    date: event.date
  };
}
//# sourceMappingURL=EventBroadcastAdapter.web.js.map