import { MediaTrackEventType, MediaTrackType, TextTrackEventType, TrackListEventType } from 'react-native-theoplayer';
export let NativeTrackListEventType = /*#__PURE__*/function (NativeTrackListEventType) {
  NativeTrackListEventType[NativeTrackListEventType["AddTrack"] = 0] = "AddTrack";
  NativeTrackListEventType[NativeTrackListEventType["RemoveTrack"] = 1] = "RemoveTrack";
  NativeTrackListEventType[NativeTrackListEventType["ChangeTrack"] = 2] = "ChangeTrack";
  return NativeTrackListEventType;
}({});
export let NativeTextTrackEventType = /*#__PURE__*/function (NativeTextTrackEventType) {
  NativeTextTrackEventType[NativeTextTrackEventType["AddCue"] = 0] = "AddCue";
  NativeTextTrackEventType[NativeTextTrackEventType["RemoveCue"] = 1] = "RemoveCue";
  NativeTextTrackEventType[NativeTextTrackEventType["EnterCue"] = 2] = "EnterCue";
  NativeTextTrackEventType[NativeTextTrackEventType["ExitCue"] = 3] = "ExitCue";
  return NativeTextTrackEventType;
}({});
export let NativeMediaTrackType = /*#__PURE__*/function (NativeMediaTrackType) {
  NativeMediaTrackType[NativeMediaTrackType["Audio"] = 0] = "Audio";
  NativeMediaTrackType[NativeMediaTrackType["Video"] = 1] = "Video";
  return NativeMediaTrackType;
}({});
export let NativeMediaTrackEventType = /*#__PURE__*/function (NativeMediaTrackEventType) {
  NativeMediaTrackEventType[NativeMediaTrackEventType["ActiveQualityChanged"] = 0] = "ActiveQualityChanged";
  return NativeMediaTrackEventType;
}({});
export function toTrackListEventType(type) {
  switch (type) {
    case NativeTrackListEventType.AddTrack:
      return TrackListEventType.ADD_TRACK;
    case NativeTrackListEventType.ChangeTrack:
      return TrackListEventType.CHANGE_TRACK;
    case NativeTrackListEventType.RemoveTrack:
      return TrackListEventType.REMOVE_TRACK;
  }
}
export function toTextTrackEventType(type) {
  switch (type) {
    case NativeTextTrackEventType.AddCue:
      return TextTrackEventType.ADD_CUE;
    case NativeTextTrackEventType.RemoveCue:
      return TextTrackEventType.REMOVE_CUE;
    case NativeTextTrackEventType.EnterCue:
      return TextTrackEventType.ENTER_CUE;
    case NativeTextTrackEventType.ExitCue:
      return TextTrackEventType.EXIT_CUE;
  }
}
export function toMediaTrackType(type) {
  switch (type) {
    case NativeMediaTrackType.Audio:
      return MediaTrackType.AUDIO;
    case NativeMediaTrackType.Video:
      return MediaTrackType.VIDEO;
  }
}
export function toMediaTrackTypeEventType(type) {
  switch (type) {
    case NativeMediaTrackEventType.ActiveQualityChanged:
      return MediaTrackEventType.ACTIVE_QUALITY_CHANGED;
  }
}
//# sourceMappingURL=NativeTrackEvent.js.map