import { NativeModules, Platform } from 'react-native';
const NativePlaybackSettingsModule = NativeModules.THEORCTPlaybackSettingsModule;
const TAG = 'PlaybackSettings';
export class NativePlaybackSettings {
  useFastStartup(useFastStartup) {
    if (Platform.OS !== 'android') {
      console.warn(TAG, 'useFastStartup is only available on Android platforms.');
      return;
    }
    NativePlaybackSettingsModule.useFastStartup(useFastStartup);
  }
  setLipSyncCorrection(correctionMs) {
    if (Platform.OS !== 'android') {
      console.warn(TAG, 'setLipSyncCorrect is only available on Android platforms.');
      return;
    }
    NativePlaybackSettingsModule.setLipSyncCorrection(correctionMs);
  }
}
export const PlaybackSettings = new NativePlaybackSettings();
//# sourceMappingURL=PlaybackSettings.js.map