import React, { PureComponent } from 'react';
import type { ScaledSize } from 'react-native';
import { PlayerError, PresentationMode, THEOplayerViewProps } from 'react-native-theoplayer';
interface THEOplayerRCTViewState {
    error?: PlayerError;
    presentationMode?: PresentationMode | undefined;
    screenSize: ScaledSize;
    posterActive: boolean;
    poster: string | undefined;
}
export declare class THEOplayerView extends PureComponent<React.PropsWithChildren<THEOplayerViewProps>, THEOplayerRCTViewState> {
    private readonly _root;
    private readonly _facade;
    private _dimensionsHandler?;
    private static initialState;
    constructor(props: THEOplayerViewProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    get nativeHandle(): number;
    private reset;
    private _onDimensionsChanged;
    private _onNativePlayerReady;
    private _onSourceChange;
    private _onLoadStart;
    private _onLoadedData;
    private _onLoadedMetadata;
    private _onVolumeChange;
    private _onError;
    private _onProgress;
    private _onCanPlay;
    private _onPlay;
    private _onPlaying;
    private _onPause;
    private _onSeeking;
    private _onSeeked;
    private _onWaiting;
    private _onEnded;
    private _onReadStateChange;
    private _onTimeUpdate;
    private _onDurationChange;
    private _onRateChange;
    private _onSegmentNotFound;
    private _onTextTrackListEvent;
    private _onTextTrackEvent;
    private normalizeCue;
    private _onMediaTrackListEvent;
    private _onMediaTrackEvent;
    private _onAdEvent;
    private _onCastEvent;
    private _onPresentationModeChange;
    private _onResize;
    private _updatePoster;
    private _showPoster;
    private _hidePoster;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=THEOplayerView.d.ts.map