import { DefaultTextTrackState } from './DefaultTextTrackState';
import type { NativePlayerState } from './NativePlayerState';
import { AspectRatio, BackgroundAudioConfiguration, type MediaTrack, PiPConfiguration, PreloadType, PresentationMode, RenderingTarget, SourceDescription, TimeRange } from 'react-native-theoplayer';
export declare class DefaultNativePlayerState extends DefaultTextTrackState implements NativePlayerState {
    source: SourceDescription | undefined;
    autoplay: boolean;
    paused: boolean;
    seekable: TimeRange[];
    buffered: TimeRange[];
    pipConfig: PiPConfiguration;
    backgroundAudioConfig: BackgroundAudioConfiguration;
    presentationMode: PresentationMode;
    muted: boolean;
    seeking: boolean;
    volume: number;
    currentTime: number;
    duration: number;
    playbackRate: number;
    preload: PreloadType;
    aspectRatio: AspectRatio;
    renderingTarget: RenderingTarget;
    keepScreenOn: boolean;
    audioTracks: MediaTrack[];
    videoTracks: MediaTrack[];
    targetVideoQuality: number | number[] | undefined;
    selectedAudioTrack: number | undefined;
    selectedVideoTrack: number | undefined;
    width: number | undefined;
    height: number | undefined;
    apply(state: Partial<NativePlayerState>): void;
}
//# sourceMappingURL=DefaultNativePlayerState.d.ts.map