import { DefaultEventDispatcher } from './event/DefaultEventDispatcher';
import { ABRConfiguration, AdsAPI, CastAPI, EventBroadcastAPI, MediaTrack, NativeHandleType, PiPConfiguration, PlayerEventMap, RenderingTarget, SourceDescription, TextTrack, THEOplayer, THEOplayerView } from 'react-native-theoplayer';
import { AspectRatio, BackgroundAudioConfiguration, PlayerVersion, PreloadType, PresentationMode, TextTrackStyle } from 'react-native-theoplayer';
import type { NativePlayerState } from './NativePlayerState';
export declare class THEOplayerAdapter extends DefaultEventDispatcher<PlayerEventMap> implements THEOplayer {
    private readonly _view;
    private readonly _state;
    private readonly _adsAdapter;
    private readonly _castAdapter;
    private readonly _abrAdapter;
    private readonly _textTrackStyleAdapter;
    private _externalEventRouter;
    private _playerVersion;
    constructor(view: THEOplayerView);
    private hasValidSource;
    private onPause;
    private onPlaying;
    private onPresentationModeChange;
    private onTimeupdate;
    private onResize;
    private onLoadedMetadata;
    private onDurationChange;
    private onRateChange;
    private onSeeking;
    private onSeeked;
    private onProgress;
    private onMediaTrack;
    private onMediaTrackList;
    get abr(): ABRConfiguration | undefined;
    get ads(): AdsAPI;
    set autoplay(autoplay: boolean);
    get autoplay(): boolean;
    set preload(type: PreloadType);
    get preload(): PreloadType;
    get seekable(): import("react-native-theoplayer").TimeRange[];
    private seekableEnd;
    get buffered(): import("react-native-theoplayer").TimeRange[];
    get cast(): CastAPI;
    get currentTime(): number;
    set currentTime(currentTime: number);
    get duration(): number;
    get pipConfiguration(): PiPConfiguration;
    set pipConfiguration(pipConfiguration: PiPConfiguration);
    get backgroundAudioConfiguration(): BackgroundAudioConfiguration;
    set backgroundAudioConfiguration(backgroundAudioConfiguration: BackgroundAudioConfiguration);
    get presentationMode(): PresentationMode;
    set presentationMode(presentationMode: PresentationMode);
    get muted(): boolean;
    set muted(muted: boolean);
    get seeking(): boolean;
    get paused(): boolean;
    get playbackRate(): number;
    set playbackRate(playbackRate: number);
    get audioTracks(): MediaTrack[];
    get selectedAudioTrack(): number | undefined;
    set selectedAudioTrack(trackUid: number | undefined);
    get videoTracks(): MediaTrack[];
    get selectedVideoTrack(): number | undefined;
    set selectedVideoTrack(trackUid: number | undefined);
    get textTracks(): TextTrack[];
    get selectedTextTrack(): number | undefined;
    set selectedTextTrack(trackUid: number | undefined);
    get textTrackStyle(): TextTrackStyle;
    get source(): SourceDescription | undefined;
    set source(source: SourceDescription | undefined);
    get targetVideoQuality(): number | number[] | undefined;
    set targetVideoQuality(target: number | number[] | undefined);
    get volume(): number;
    set volume(volume: number);
    get aspectRatio(): AspectRatio;
    set aspectRatio(ratio: AspectRatio);
    get renderingTarget(): RenderingTarget;
    set renderingTarget(target: RenderingTarget);
    get keepScreenOn(): boolean;
    set keepScreenOn(value: boolean);
    pause(): void;
    play(): void;
    get version(): PlayerVersion;
    get nativeHandle(): NativeHandleType;
    get broadcast(): EventBroadcastAPI;
    /**
     * initializeFromNativePlayer is called when the native player is ready and has sent the `onNativePlayerReady` event.
     *
     * @param version The native player version.
     * @param state An optional initial player state.
     */
    initializeFromNativePlayer_(version: PlayerVersion, state: NativePlayerState | undefined): Promise<void>;
    get width(): number | undefined;
    get height(): number | undefined;
}
//# sourceMappingURL=THEOplayerAdapter.d.ts.map