import { DefaultEventDispatcher } from './event/DefaultEventDispatcher';
import type { AdsAPI, CastAPI, MediaTrack, NativeHandleType, PlayerConfiguration, PlayerEventMap, PlayerVersion, PreloadType, TextTrack, TextTrackStyle, THEOplayer } from 'react-native-theoplayer';
import { AspectRatio, EventBroadcastAPI, PresentationMode } from 'react-native-theoplayer';
import { ChromelessPlayer as NativeChromelessPlayer } from 'theoplayer';
import type { ABRConfiguration, SourceDescription } from 'src/api/barrel';
import type { PiPConfiguration } from 'src/api/pip/PiPConfiguration';
import type { BackgroundAudioConfiguration } from 'src/api/backgroundAudio/BackgroundAudioConfiguration';
export declare class THEOplayerWebAdapter extends DefaultEventDispatcher<PlayerEventMap> implements THEOplayer {
    private readonly _adsAdapter;
    private readonly _castAdapter;
    private readonly _textTrackState;
    private readonly _presentationModeManager;
    private _player;
    private _eventForwarder;
    private _mediaSession;
    private _targetVideoQuality;
    private _backgroundAudioConfiguration;
    private _pipConfiguration;
    private _externalEventRouter;
    constructor(player: NativeChromelessPlayer, config?: PlayerConfiguration);
    get abr(): ABRConfiguration | undefined;
    get source(): SourceDescription | undefined;
    set source(source: SourceDescription | undefined);
    play(): void;
    pause(): void;
    get paused(): boolean;
    get autoplay(): boolean;
    set autoplay(autoplay: boolean);
    set preload(type: PreloadType);
    get preload(): PreloadType;
    get seekable(): {
        start: number;
        end: number;
    }[];
    get buffered(): {
        start: number;
        end: number;
    }[];
    get playbackRate(): number;
    set playbackRate(playbackRate: number);
    get pipConfiguration(): PiPConfiguration;
    set pipConfiguration(config: PiPConfiguration);
    get backgroundAudioConfiguration(): BackgroundAudioConfiguration;
    set backgroundAudioConfiguration(config: BackgroundAudioConfiguration);
    get volume(): number;
    set volume(volume: number);
    get muted(): boolean;
    set muted(muted: boolean);
    get seeking(): boolean;
    get presentationMode(): PresentationMode;
    set presentationMode(presentationMode: PresentationMode);
    get audioTracks(): MediaTrack[];
    get videoTracks(): MediaTrack[];
    get textTracks(): TextTrack[];
    get selectedTextTrack(): number | undefined;
    set selectedTextTrack(trackUid: number | undefined);
    get textTrackStyle(): TextTrackStyle;
    get selectedVideoTrack(): number | undefined;
    set selectedVideoTrack(selectedVideoTrack: number | undefined);
    get selectedAudioTrack(): number | undefined;
    set selectedAudioTrack(selectedAudioTrack: number | undefined);
    get targetVideoQuality(): number | number[] | undefined;
    set targetVideoQuality(targetVideoQuality: number | number[] | undefined);
    get currentTime(): number;
    set currentTime(currentTime: number);
    get aspectRatio(): AspectRatio;
    set aspectRatio(_ratio: AspectRatio);
    get keepScreenOn(): boolean;
    set keepScreenOn(_screenOn: boolean);
    get duration(): number;
    get ads(): AdsAPI;
    get cast(): CastAPI;
    get version(): PlayerVersion;
    destroy(): void;
    private readonly onVisibilityChange;
    get nativeHandle(): NativeHandleType;
    get broadcast(): EventBroadcastAPI;
    get width(): number | undefined;
    get height(): number | undefined;
}
//# sourceMappingURL=THEOplayerWebAdapter.d.ts.map