import type { EventDispatcher, EventMap, StringKeyOf, EventListener } from 'theoplayer';
export declare function arrayRemoveElement<T>(array: T[], element: T): boolean;
export declare function arrayRemoveAt<T>(array: T[], index: number): void;
export declare class DefaultWebEventDispatcher<TMap extends EventMap<StringKeyOf<TMap>>> implements EventDispatcher<TMap> {
    readonly _eventListeners: Map<StringKeyOf<TMap>, EventListener<TMap[StringKeyOf<TMap>]>[]>;
    addEventListener<K extends StringKeyOf<TMap>>(types: K | K[], listener: EventListener<TMap[K]>): void;
    private addSingleEventListener_;
    clearEventListeners(): void;
    dispatchEvent: <K extends StringKeyOf<TMap>>(event: TMap[K]) => void;
    removeEventListener<K extends StringKeyOf<TMap>>(types: K | K[], listener: EventListener<TMap[K]>): void;
    removeSingleEventListener<K extends StringKeyOf<TMap>>(type: K, listener: EventListener<TMap[K]>): void;
}
//# sourceMappingURL=DefaultWebEventDispatcher.d.ts.map