import type { ChromelessPlayer } from 'theoplayer';
import type { THEOplayerWebAdapter } from '../THEOplayerWebAdapter';
import { MediaControlConfiguration } from 'react-native-theoplayer';
export declare const defaultMediaControlConfiguration: MediaControlConfiguration;
/**
 * The MediaSession interface of the Media Session API allows a web page to provide custom behaviors for standard media playback interactions, and
 * to report metadata that can be sent by the user agent to the device or operating system for presentation in standardized user interface elements.
 *
 * @link https://w3c.github.io/mediasession
 */
export declare class WebMediaSession {
    private readonly _config;
    private readonly _player;
    private readonly _webAdapter;
    constructor(adapter: THEOplayerWebAdapter, player: ChromelessPlayer, config?: MediaControlConfiguration);
    updateActionHandlers(): void;
    destroy(): void;
    private onSourceChange;
    private onLoadedMetadata;
    private onDurationChange;
    private updateMetadata;
    private updatePositionState;
    private onAdbreakBegin;
    private onAdbreakEnd;
    private isLive;
    private isInAd;
    private isInBackground;
    private isTrickplayEnabled;
    private isPlayPauseEnabled;
    private isBackgroundAudioEnabled;
}
//# sourceMappingURL=WebMediaSession.d.ts.map