import { DefaultEventDispatcher } from '../adapter/event/DefaultEventDispatcher';
import type { CachingTask, CachingTaskEventMap, CachingTaskLicense, CachingTaskParameters, SourceDescription, TimeRange } from 'react-native-theoplayer';
import type { CacheTaskStatus } from 'react-native-theoplayer';
import { NativeCachingTaskParameters } from './NativeCachingTaskParametersAdapter';
export interface NativeCachingTask {
    readonly id: string;
    readonly status: CacheTaskStatus;
    readonly source: SourceDescription;
    readonly parameters: NativeCachingTaskParameters;
    readonly duration: number;
    readonly cached: TimeRange[];
    readonly secondsCached: number;
    readonly percentageCached: number;
    readonly bytes: number;
    readonly bytesCached: number;
}
export declare class NativeCachingTaskAdapter extends DefaultEventDispatcher<CachingTaskEventMap> implements CachingTask {
    readonly bytes: number;
    readonly bytesCached: number;
    readonly cached: TimeRange[];
    readonly duration: number;
    readonly id: string;
    readonly license: CachingTaskLicense;
    readonly parameters: CachingTaskParameters;
    readonly percentageCached: number;
    readonly secondsCached: number;
    readonly source: SourceDescription;
    readonly status: CacheTaskStatus;
    constructor(task: NativeCachingTask);
    pause(): void;
    remove(): void;
    start(): void;
}
//# sourceMappingURL=NativeCachingTaskAdapter.d.ts.map