import type { CachingTask, CachingTaskEventMap, CachingTaskLicense, CachingTaskParameters, SourceDescription, TimeRange } from 'react-native-theoplayer';
import type { CachingTask as WebCachingTask } from 'theoplayer';
import type { CacheTaskStatus } from 'react-native-theoplayer';
import type { StringKeyOf } from '../../api/event/EventDispatcher';
import type { EventListener } from '../../api/event/EventListener';
export declare class WebCachingTaskAdapter implements CachingTask {
    private webCachingTask;
    constructor(webCachingTask: WebCachingTask);
    get bytes(): number;
    get bytesCached(): number;
    get cached(): TimeRange[];
    get duration(): number;
    get id(): string;
    get license(): CachingTaskLicense;
    get parameters(): CachingTaskParameters;
    get percentageCached(): number;
    get secondsCached(): number;
    get source(): SourceDescription;
    get status(): CacheTaskStatus;
    start(): void;
    pause(): void;
    remove(): void;
    addEventListener<TType extends StringKeyOf<CachingTaskEventMap>>(type: TType[] | TType, listener: EventListener<CachingTaskEventMap[TType]>): void;
    removeEventListener<TType extends StringKeyOf<CachingTaskEventMap>>(type: TType[] | TType, listener: EventListener<CachingTaskEventMap[TType]>): void;
}
//# sourceMappingURL=WebCachingTaskAdapter.d.ts.map